Update history entry of a device of an organization
curl --request PUT \
--url https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/devices/{deviceId}/histories/{historyId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"changes": {
"peopleId": 1,
"status": "active",
"location1": "location1",
"location2": "location2",
"assignmentStartDate": "2021-01-01",
"assignmentEndDate": "2021-01-02"
},
"createdAt": "2021-01-01T00:00:00.000Z",
"comment": "Status change reason"
}
'import requests
url = "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/devices/{deviceId}/histories/{historyId}"
payload = {
"changes": {
"peopleId": 1,
"status": "active",
"location1": "location1",
"location2": "location2",
"assignmentStartDate": "2021-01-01",
"assignmentEndDate": "2021-01-02"
},
"createdAt": "2021-01-01T00:00:00.000Z",
"comment": "Status change reason"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
changes: {
peopleId: 1,
status: 'active',
location1: 'location1',
location2: 'location2',
assignmentStartDate: '2021-01-01',
assignmentEndDate: '2021-01-02'
},
createdAt: '2021-01-01T00:00:00.000Z',
comment: 'Status change reason'
})
};
fetch('https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/devices/{deviceId}/histories/{historyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"deviceId": 321,
"createdAt": "2017-07-21T17:32:28Z",
"changes": {
"people": {
"id": 1,
"identityId": "I3N5HB4B3G",
"primaryEmail": "foo@gmail.com",
"displayName": "Yamaha Honda",
"avatar": "avatar_url",
"username": "foo",
"type": "employee",
"status": "suspended",
"managementType": "managed",
"employeeType": "full_time_employee",
"employeeStatus": "active",
"suspendedAt": "2021-07-13T19:15:40.000Z",
"createdAt": "2021-07-13T19:15:40.000Z",
"accounts": [
{
"id": "1#foo",
"serviceId": 42,
"serviceUniqueName": "github",
"serviceName": "GitHub",
"workspaceName": "mfi",
"accountKey": "foo@mfi.com",
"serviceIsCustom": false
}
],
"mergedPeople": [
{
"id": 1,
"displayName": "Ron Lee",
"username": "ron.lee",
"primaryEmail": null
}
]
},
"status": "decommissioned",
"location1": "Tokyo",
"location2": "msb",
"assignmentStartDate": "2021-01-01",
"assignmentEndDate": "2022-01-02",
"comment": "Assigned to new employee"
},
"comment": "Assigned to new employee"
}Devices
Update history entry of a device of an organization
PUT
/
api
/
v1
/
organizations
/
{organizationId}
/
devices
/
{deviceId}
/
histories
/
{historyId}
Update history entry of a device of an organization
承認
ボディ
application/json
最終更新日 2026年7月14日
このページは役に立ちましたか?
Delete multiple history entries of a device of an organizationDelete a single history entry of a device of an organization
⌘I

